## flask-sqlalchemy 3.0.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= pdm run sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## flask-sqlalchemy 1.0

=== debian/changelog ===
flask-sqlalchemy (1.0-1) unstable; urgency=low

  * Initial release (Closes: #730132)

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Thu, 21 Nov 2013 20:52:53 +0100

=== debian/control ===
Source: flask-sqlalchemy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-docutils,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-flask (>= 0.10),
               python3-flask (>= 0.10),
               python-sqlalchemy,
               python3-sqlalchemy,
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Standards-Version: 3.9.5
Homepage: https://pypi.python.org/pypi/Flask-SQLAlchemy
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/flask-sqlalchemy/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/flask-sqlalchemy/trunk/

Package: python-flask-sqlalchemy
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-sqlalchemy,
         python-flask (>= 0.10),
Description: adds SQLAlchemy support to your Flask application 
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 This python2 package adds SQLAlchemy support to Flask.

Package: python3-flask-sqlalchemy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-sqlalchemy,
         python3-flask (>= 0.10),
Description: adds SQLAlchemy support to your Flask application 
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 This python3 package adds SQLAlchemy support to Flask.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=flask-sqlalchemy

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/F/Flask-SQLAlchemy/Flask-SQLAlchemy-(.*)\.tar\.gz

## flask-sqlalchemy 2.1

=== debian/changelog ===
flask-sqlalchemy (2.1-4) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team Upload
  * Remove Python 2 support
  * Bump debhelper-compat to 12 (from 9)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Bump standards version to 4.4.0 (no changes).
  * Enable autopkgtest-pkg-python testsuite.

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Thu, 01 Aug 2019 22:18:42 +0000

flask-sqlalchemy (2.1-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version bumped to 3.9.8 (no changes needed)
  * Rebuild to get SQLAlchemy 1.1 dependency

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 17 Nov 2016 21:55:07 +0100

flask-sqlalchemy (2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #803095)
  * Pump up standards version to 3.9.7, no changes needed
  * Vcs fields switched to git due to the svn-> git transition
  * Run wrap-and-sort

 -- Orestis Ioannou <orestis@oioannou.com>  Thu, 18 Feb 2016 05:33:07 +0100

flask-sqlalchemy (1.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for SQLAlchemy 1.0 (Closes: #792157)
  * Update debian/watch to use pypi.debian.net redirector

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Aug 2015 20:43:19 -0400

flask-sqlalchemy (1.0-2) unstable; urgency=medium

  * Team upload
  * Rebuild for SQLAlchemy 0.9

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Feb 2014 22:56:38 +0100

=== debian/control ===
Source: flask-sqlalchemy
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Thomas Bechtold <thomasbechtold@jpberlin.de>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-flask (>= 0.10),
 python3-setuptools,
 python3-sqlalchemy,
Standards-Version: 4.4.0
Homepage: https://pypi.python.org/pypi/Flask-SQLAlchemy
Vcs-Git: https://salsa.debian.org/python-team/modules/flask-sqlalchemy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-sqlalchemy
Testsuite: autopkgtest-pkg-python

Package: python3-flask-sqlalchemy
Architecture: all
Depends:
 python3-flask (>= 0.10),
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Description: adds SQLAlchemy support to your Python 3 Flask application
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 This python3 package adds SQLAlchemy support to Flask.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_NAME=flask-sqlalchemy
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://pypi.debian.net/Flask-SQLAlchemy/Flask-SQLAlchemy-(.*)\.tar\.gz

## flask-sqlalchemy 2.5.1

=== debian/changelog ===
flask-sqlalchemy (2.5.1-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version 2.4.1
    (Closes: #948698)
  * d/docs use README.rst instead of README.
  * d/gbp.conf: Add gbp configuration file.
    - Set debian-branch on debian/master
    - Set pristine-tar on True
  * d/gitlab-ci.yml: enable Salsa CI.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Carsten Schoenert ]
  * [434c411] d/gbp.conf: Add some more defaults
    Add some more default behavior while working with git-buildpackage
    like the upstream branch, compression type for orig tarball and length
    of commit IDs.
  * [6079ced] d/watch: Update to version 4
  * [9691684] d/control: Bump debhelper version to 13
  * [dbf29f6] d/control: Update Standards-Version to 4.5.1
    No further changes needed.
  * [d5f4edf] New upstream version 2.5.1
  * [545c0c2] d/copyright: Update years of contributions
  * [acfb558] d/control: Update Uploaders list
    Adding Henning and myself to the list of uploaders and taking over
    maintainership for this package.
    Thanks go out to Thomas for maintaining this package in the past!
    (Closes: #892679)
  * [2ce791e] d/control: Update Homepage field to real project website
    The PyPi project webspace isn't the source for the upstream data, the
    real home is within the palletsprojects.com umbrella.
  * [e31076d] d/control: Adding entry Rules-Requires-Root: no
  * [b68a975] *.docs: Also installing the provided examples folder
  * [1f17669] d/rules: Clean out .gitignore file within examples
  * [f885eef] lintian-overides: Ignore some files in examples

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 11 May 2021 20:54:11 +0200

=== debian/control ===
Source: flask-sqlalchemy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Henning Sprang <henning.sprang@gmail.com>,
 Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-flask (>= 0.10),
 python3-setuptools,
 python3-sqlalchemy,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://flask-sqlalchemy.palletsprojects.com
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-sqlalchemy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-sqlalchemy
Testsuite: autopkgtest-pkg-python

Package: python3-flask-sqlalchemy
Architecture: all
Depends:
 python3-flask (>= 0.10),
 python3-sqlalchemy,
 ${misc:Depends},
 ${python3:Depends},
Description: adds SQLAlchemy support to your Python 3 Flask application
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 This python3 package adds SQLAlchemy support to Flask.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_installdocs:
+	find examples -type f -name ".gitignore" -exec rm {} \;
+	dh_installdocs

=== debian/watch ===
# uscan watch file for flask-sqlalchemy

version=4

https://pypi.debian.net/Flask-SQLAlchemy/Flask-SQLAlchemy-(.*)\.tar\.gz

## flask-sqlalchemy 3.0.0

=== debian/changelog ===
flask-sqlalchemy (3.0.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * [37aaf49] debian/copyright: use spaces rather than tabs to start
    continuation lines.

  [ Carsten Schoenert ]
  * [f847eba] d/watch: Watch git tags for on GitHub
  * [c28235e] d/control: Drop obsolete field Testsuite
  * [8676a1f] New upstream version 3.0.0
  * [c2b1e83] Add patch from patch-queue branch
    Added patch:
    docs-Don-t-use-external-intersphinx.patch
  * [b3032d0] d/control: Split off Build-Dep-Indep
  * [4b99513] d/copyright: Update content and year data
  * [da263f0] d/control: Add more required Build-Dependencies
  * [9623bc2] d/control: Update Standards-Version to 4.6.1
    No further changes needed.
  * [35b20db] flask-sqlalchemy-doc: Add new binary package
  * [90b6c71] Lintian: Adjust/update syntax in python3-flask-sqlalchemy
  * [2b8d302] d/rules: Turn on the internal unittests
  * [fed8f88] autopkgtest: Add first working setup
  * [b88b806] Salsa CI: Rename Yaml file to salsa-ci.yml
  * [ed47d74] Salsa CI: Use the experimental release

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 11 Oct 2022 19:54:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,38 @@
  Carsten Schoenert <c.schoenert@t-online.de>
 Build-Depends:
  debhelper-compat (= 13),
+ python3-all,
+Build-Depends-Indep:
  dh-python,
- python3-all,
- python3-flask (>= 0.10),
- python3-setuptools,
+ pybuild-plugin-pyproject,
+ python-flask-doc,
+ python3-doc,
+ python3-flask (>= 2.2),
+ python3-pallets-sphinx-themes,
+ python3-pdm-pep517,
+ python3-pytest,
+ python3-sphinx,
+ python3-sphinx-issues,
+ python3-sphinx-rtd-theme,
  python3-sqlalchemy,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://flask-sqlalchemy.palletsprojects.com
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-sqlalchemy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-sqlalchemy
-Testsuite: autopkgtest-pkg-python
+
+Package: flask-sqlalchemy-doc
+Architecture: all
+Section: doc
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends}
+Multi-Arch: foreign
+Description: SQLAlchemy support for your Python 3 Flask application (Documentation)
+ Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
+ intentions.
+ .
+ This package installs the documentation for the library.
 
 Package: python3-flask-sqlalchemy
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=flask-sqlalchemy

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	#############################################################################
	# Pallets is using the Python packages pallets-sphinx-themes, sphinx-issues #
	# *and* flask_sqlalchemy to create the running setup for the sphinx run.    #
	# As we are building python3-flask-sqlalchemy right now the usual call for  #
	# sphinx would fail as no package meta information would be found found.    #
	# We also can't use the package build in debian/python3-flask-sqlalchemy    #
	# as the installation didn't is finished yet!                               #
	# So we must relay an the build folder from the wheel creation in           #
	# /build/package/.pybuild. We pick up the folder with the most recent       #
	# Python build, while introducing a new Python version into Debian the      #
	# package wheel build will happen for all available Python versions!        #
	# The meta information is then the same, and the meta information is the    #
	# sphinx build looking for.                                                 #
	#############################################################################
	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "Flask_SQLAlchemy*dist-info" | head -n1)` \
	    python3 -m sphinx -N -q -E -b html -N docs $(CURDIR)/debian/flask-sqlalchemy-doc/usr/share/doc/flask-sqlalchemy-doc/html
	dh_sphinxdoc
endif

override_dh_installdocs:
	find examples -type f -name ".gitignore" -exec rm {} \;
	dh_installdocs

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v"

## flask-sqlalchemy 3.0.3

=== debian/changelog ===
flask-sqlalchemy (3.0.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [b05508e] Set upstream metadata fields: Bug-Database, Bug-Submit,
              Repository-Browse.
  * [6f46fce] Update standards version to 4.6.2, no changes needed.

  [ Carsten Schoenert ]
  * [e78e7dd] New upstream version 3.0.3
  * [d27477a] d/control: Move dh-sequence* to Build-Deps
  * [29e728b] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Feb 2023 11:54:28 +0100

flask-sqlalchemy (3.0.2-1) unstable; urgency=medium

  * [10e7c24] New upstream version 3.0.2
  * [1a6b9f1] Rebuild patch queue from patch-queue branch
    Adjusted patch:
    docs-Don-t-use-external-intersphinx.patch
  * [138fd82] d/control: Update B-D and adding BuildProfileSpecs
  * [459fb5b] d/rules: Addings SPHINXOPTS variable to build call
  * [a366160] d/rules: Define PYBUILD_AFTER_INSTALL

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Dec 2022 19:19:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,24 @@
  Carsten Schoenert <c.schoenert@t-online.de>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
- dh-python,
  pybuild-plugin-pyproject,
- python-flask-doc,
- python3-doc,
+ python-flask-doc <!nodoc>,
+ python-sqlalchemy-doc <!nodoc>,
+ python3-doc <!nodoc>,
  python3-flask (>= 2.2),
- python3-pallets-sphinx-themes,
+ python3-pallets-sphinx-themes <!nodoc>,
  python3-pdm-pep517,
- python3-pytest,
- python3-sphinx,
- python3-sphinx-issues,
- python3-sphinx-rtd-theme,
+ python3-pytest <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-issues <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
  python3-sqlalchemy,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://flask-sqlalchemy.palletsprojects.com
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-sqlalchemy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-sqlalchemy

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,18 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
+SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+
 export PYBUILD_NAME=flask-sqlalchemy
+export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/*.dist-info/licenses
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
@@ -26,7 +31,7 @@
 	# sphinx build looking for.                                                 #
 	#############################################################################
 	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "Flask_SQLAlchemy*dist-info" | head -n1)` \
-	    python3 -m sphinx -N -q -E -b html -N docs $(CURDIR)/debian/flask-sqlalchemy-doc/usr/share/doc/flask-sqlalchemy-doc/html
+	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/flask-sqlalchemy-doc/usr/share/doc/flask-sqlalchemy-doc/html
 	dh_sphinxdoc
 endif

=== debian/watch ===
# uscan watch file for flask-sqlalchemy

version=4

opts="mode=git, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/pallets-eco/flask-sqlalchemy.git \
      refs/tags/(\d\S+)

## flask-sqlalchemy 3.1.1

=== debian/changelog ===
flask-sqlalchemy (3.1.1-3ubuntu1) plucky; urgency=medium

  * d/p/sqlalchemy-2.0.36-compat.patch: Cherry pick proposed fix for
    test compatibility with SQLAlchemy >= 2.0.36.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Feb 2025 09:46:17 +0000

flask-sqlalchemy (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Ignore unclosed sqlite connection (closes: #1090220).

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Jan 2025 17:48:20 +0000

flask-sqlalchemy (3.1.1-2) unstable; urgency=medium

  * Upload to unstable
  * [f957b58] d/control: Update Standards-Version to 4.7.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 May 2024 14:45:00 +0200

flask-sqlalchemy (3.1.1-1) experimental; urgency=medium

  * [c603c25] d/watch: Set compression to gz
  * [ad40374] d/gbp.conf: Adjust to debian/experimental
  * [cd5e4d6] New upstream version 3.1.1
  * [7250adb] d/rules: Adjust dist-info directory lookup
  * [7aa1e60] d/rules: Don't treat deprecation warnings error
  * [9014efa] d/control: Adjust B-D due changed requirements
  * [3542a73] d/control: Don't hardcode versions in binary package
  * [0fb262c] d/control: Set upstream homepage to GitHub resource
  * [1b0b81c] d/copyright: Update year data
  * [0914a76] d/control: Enhance package description

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Mar 2024 08:04:32 +0100

=== debian/control ===
Source: flask-sqlalchemy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Henning Sprang <henning.sprang@gmail.com>,
 Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
Build-Depends-Indep:
 flit,
 pybuild-plugin-pyproject,
 python-flask-doc <!nodoc>,
 python-sqlalchemy-doc <!nodoc>,
 python3-doc <!nodoc>,
 python3-flask (>= 2.2),
 python3-pallets-sphinx-themes <!nodoc>,
 python3-pytest <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sqlalchemy (>= 2.0.16),
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/pallets-eco/flask-sqlalchemy/
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-sqlalchemy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-sqlalchemy

Package: flask-sqlalchemy-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: SQLAlchemy support for your Python 3 Flask application (Documentation)
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 This python3 package adds SQLAlchemy support to Flask. The aim of SQLAlchemy
 is to make accomplishing common tasks in Flask application easier by providing
 useful defaults and extra helpers.
 .
 This package installs the documentation for the library.

Package: python3-flask-sqlalchemy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: SQLAlchemy support to your Python 3 Flask application (Python3)
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 This python3 package adds SQLAlchemy support to Flask. The aim of SQLAlchemy
 is to make accomplishing common tasks in Flask application easier by providing
 useful defaults and extra helpers.

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	# The meta information is then the same, and the meta information is the    #
 	# sphinx build looking for.                                                 #
 	#############################################################################
-	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "Flask_SQLAlchemy*dist-info" | head -n1)` \
+	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "flask_sqlalchemy*dist-info" | head -n1)` \
 	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/flask-sqlalchemy-doc/usr/share/doc/flask-sqlalchemy-doc/html
 	dh_sphinxdoc
 endif
@@ -40,4 +40,4 @@
 	dh_installdocs
 
 override_dh_auto_test:
-	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v"
+	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest -v -W 'once::DeprecationWarning'"

=== debian/tests/control ===
Tests: smoke
Depends:
 python3-all,
 python3-flask (>= 2.2),
 python3-pallets-sphinx-themes,
 python3-pytest,
 python3-sqlalchemy,
 @,
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       pgpmode=none, \
       uversionmangle=s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
